curl --request GET \
--url https://admin.snagsolutions.io/api/auction_bids \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/auction_bids"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/auction_bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/auction_bids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/auction_bids"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/auction_bids")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/auction_bids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "submitted",
"auctionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auctionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currencyAddress": "<string>",
"currencyDecimals": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"auctionItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"mintingContractAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPhygitalItem": true,
"tokenId": 123,
"revealedAt": "2023-11-07T05:31:56Z",
"shippingPrice": null
}
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"loyaltyCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"imageUrl": "<string>",
"apiGetUrl": "<string>",
"apiGetTransactionEntryUrl": "<string>",
"apiPostUrl": "<string>",
"apiAuthType": "none",
"apiAuthKey": "<string>",
"apiAuthValue": "<string>"
},
"auction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"amount": null
}
],
"hasNextPage": true,
"count": 123
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Get auction bids
Returns a list of auction bids with optional filtering and pagination.
curl --request GET \
--url https://admin.snagsolutions.io/api/auction_bids \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/auction_bids"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/auction_bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/auction_bids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/auction_bids"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/auction_bids")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/auction_bids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "submitted",
"auctionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auctionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currencyAddress": "<string>",
"currencyDecimals": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"auctionItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"mintingContractAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPhygitalItem": true,
"tokenId": 123,
"revealedAt": "2023-11-07T05:31:56Z",
"shippingPrice": null
}
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"loyaltyCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"imageUrl": "<string>",
"apiGetUrl": "<string>",
"apiGetTransactionEntryUrl": "<string>",
"apiPostUrl": "<string>",
"apiAuthType": "none",
"apiAuthKey": "<string>",
"apiAuthValue": "<string>"
},
"auction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"amount": null
}
],
"hasNextPage": true,
"count": 123
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Authorizations
Query Parameters
The bid ID(s) - accepts a single ID or an array of IDs
"123e4567-e89b-12d3-a456-426614174010"
ID of the user who made the bid
"123e4567-e89b-12d3-a456-426614174001"
Wallet address of the bidder
"0x1234567890abcdef1234567890abcdef12345678"
Pagination cursor to start after a specific bid ID
"123e4567-e89b-12d3-a456-426614174020"
Maximum number of bids to return
1 <= x <= 100050
ID of the organization
"123e4567-e89b-12d3-a456-426614174002"
ID of the website
"123e4567-e89b-12d3-a456-426614174003"
ID of the auction
"123e4567-e89b-12d3-a456-426614174004"
Status of the bid
submitted, accepted, rejected, fulfilled "PENDING"
Order bids by amount (ascending or descending). Defaults to desc.
asc, desc "desc"
Number of bids to skip (for offset-based pagination)
x >= 01999
Include total count of matching bids in response
true
Filter by multiple bid statuses (OR condition)
submitted, accepted, rejected, fulfilled ["accepted", "fulfilled"]
Was this page helpful?